Bug 142407 - Auto update via rhn.redhat.net to latest builds causes panic
Auto update via rhn.redhat.net to latest builds causes panic
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 11:19 EST by Arthur Benoit
Modified: 2013-08-05 21:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 16:58:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Benoit 2004-12-09 11:19:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
I use the up2date utility to upgrade my Dell PowerEdge 1800 and Intel 
S3E1330 systems to the latest kernel. After the upgrade if I try to 
boot the SMP kernel that gets added to the grub menu.list file and 
the system resets and Bios starts loading again. Sometimes I will get 
a panic because the SATA drives were not found during the boot. If I 
boot the non-SMP kernel entry that was added to the grub menu.lst the 
systems boots correctly but it is note worthy to point out that after 
the boot uname shows that it is an SMP system.

Version-Release number of selected component (if applicable):
greater than kernel-2.4.21 

How reproducible:
Always

Steps to Reproduce:
1.install 2.4.21-0.1 on an SMP system
2.run rhn-register
3.run up2date 
4.After the upgrade reboot to the new SMP kernel
    

Actual Results:  The system reset and Bios starts loading again. Re-
building the kernel with the configs/Kernel-2.4.21-x86_64-SMP.config 
has no effect as I see the same problem. 

Expected Results:  I expect the system to boot after a kernel upgrade.

Additional info:
Comment 1 Ernie Petrides 2004-12-09 16:18:40 EST
Please attach a serial console line and capture the panic message
and/or oops output, which we'll need to debug the problem.  Thanks.
Comment 2 Arthur Benoit 2004-12-09 16:34:25 EST
In most cases there is on panic message or oops output the system just resets. 
It's vary hard to get the system to reboot to the condition where the SATA 
drives are not found during the boot.
Comment 3 Arthur Benoit 2004-12-09 16:34:55 EST
In most cases there is no panic message or oops output the system just resets. 
It's vary hard to get the system to reboot to the condition where the SATA 
drives are not found during the boot.
Comment 4 Arthur Benoit 2006-12-19 10:27:54 EST
I am unable to reproduce this problem at will and even if I could it would 
require a complete reinstall of the OS prior to the upgrade. I don't see this 
as a productive use of my testing time. Sorry I can't provide more help.

Note You need to log in before you can comment on or make changes to this bug.